// creator  : weidu.exe (version 23100)
// argument : DELORN.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~DELORN~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #2 /* Triggers after states #: 6 even though they appear after this state */
~ReactionGT(LastTalkedToBy,NEUTRAL_UPPER)
~ THEN BEGIN 0 // from:
  SAY #2863 /* ~We don't want anything from you!~ [CSIMO03] */
  IF ~Global("ASSNUTS","GLOBAL",1)
~ THEN REPLY #2985 /* ~Rajah~ */ GOTO 1
  IF ~~ THEN REPLY #2986 /* ~Rajah~ */ GOTO 2
  IF ~~ THEN REPLY #2987 /* ~Maharajah~ */ GOTO 4
END

IF ~~ THEN BEGIN 1 // from: 4.1 3.1 0.0
  SAY #2988 /* ~Maharajah~ */
  IF ~~ THEN DO ~ActionOverride("ITHMEERA",Enemy())
ActionOverride("HELSHARA",Enemy())
Enemy()
~ GOTO 5
END

IF ~~ THEN BEGIN 2 // from: 4.0 3.0 0.1
  SAY #2989 /* ~Your sense of humor has no sense in it, Korgan.  Quite tasteless, and I'd appreciate if you would keep it to yourself!~ [MAZZY46] */
  IF ~~ THEN DO ~ActionOverride("ITHMEERA",Enemy())
ActionOverride("HELSHARA",Enemy())
Enemy()
~ EXIT
END

IF WEIGHT #3 /* Triggers after states #: 6 even though they appear after this state */
~ReactionLT(LastTalkedToBy,FRIENDLY_LOWER)
~ THEN BEGIN 3 // from:
  SAY #2990 /* ~Please, Korgan, if I wanted to know the nature of your leisure time, I'm sure I would have asked.~ */
  IF ~~ THEN REPLY #2992 /* ~What's in your wineskin, bellybuilder?  A potion of delusion is my guess.~ */ GOTO 2
  IF ~~ THEN REPLY #2993 /* ~Ranger-Protector of the Umar Hills

Imnesvale was threatened by a clan of orcs that had come down from the Hills, but I was able to repel them and save the village.~ */ GOTO 1
END

IF ~~ THEN BEGIN 4 // from: 0.2
  SAY #2991 /* ~Ahhh, Mazzy, the sweetest flowers always resist the plucking.  The fire doth burn most brightly in ye fer ol' Korgan... I can see that plain as day.~ */
  IF ~~ THEN REPLY #2995 /* ~Don't let word get about.  I've a reputation to protect, girl.  Ye'd ruin it twiceover.~ */ GOTO 2
  IF ~~ THEN REPLY #2996 /* ~Ranger-Protector of the Umar Hills

I did not arrive at the Umar Hills quickly enough to help them with their attack by orcs.  The villagers were forced to call on the Order of the Radiant Heart to save them, and the mayor has stripped me of the position and the use of the cabin.~ */ GOTO 1
END

IF ~~ THEN BEGIN 5 // from: 1.0
  SAY #2994 /* ~The cruelest of weapons and the gentlest of touches, milady, that's what the words that leave yer lips be to me.~ */
  IF ~~ THEN DO ~ActionOverride("ITHMEERA",Enemy())
ActionOverride("HELSHARA",Enemy())
Enemy()
~ EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_DHARMED)
~ THEN BEGIN 6 // from:
  SAY #7093 /* ~I'll not coax sparks from carved sticks or farts from stones! My strange magics will free you from the surly bonds of earthly servitude!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY #9118 /* ~I would like that.~ */
  IF ~~ THEN EXIT
END
